% Lorenzo-Seva, U., & Ten Berge, J. M. F. (2006). Tuckers congruence coefficient as a meaningful index of factor similarity. Methodology, 2, 5764.

function K=CC(Lambda1,Lambda2)
k=size(Lambda1,2);  % number of factors
NUM=NaN(1,k);
DEN=NaN(1,k);
theta=NaN(1,k);
for i=1:k % loop over the number of factors
    L1=Lambda1(:,i);
    L2=Lambda2(:,i);
    NUM(i)=  sum(L1.*L2);
    DEN(i) = sqrt(sum(L1.^2).*sum(L2.^2));
    theta(i)=NUM(i)/DEN(i);
end
K=sum(theta)/k;
